# Uses of Interface
org.eclipse.emf.compare.merge.IMerger.Registry2

Packages that use IMerger.Registry2
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical
org.eclipse.emf.compare.merge

## Uses of IMerger.Registry2 in org.eclipse.emf.compare.ide.ui.internal.logical

Fields in org.eclipse.emf.compare.ide.ui.internal.logical declared as IMerger.Registry2
Modifier and Type
Field
Description
`protected static final IMerger.Registry2`
EMFResourceMappingMerger.`MERGER_REGISTRY`
The merger registry.

## Uses of IMerger.Registry2 in org.eclipse.emf.compare.merge

Classes in org.eclipse.emf.compare.merge that implement IMerger.Registry2
Modifier and Type
Class
Description
`static class`
`IMerger.RegistryImpl`
A default implementation of an `IMerger.Registry`.
Methods in org.eclipse.emf.compare.merge that return IMerger.Registry2
Modifier and Type
Method
Description
`protected IMerger.Registry2`
DiffRelationshipComputer.`getMergerRegistry2()`
Returns the `merger registry` as `IMerger.Registry2`, if possible.
Methods in org.eclipse.emf.compare.merge with parameters of type IMerger.Registry2
Modifier and Type
Method
Description
`static DelegatingMerger`
AbstractMerger.`getMergerDelegate(Diff diff, IMerger.Registry2 registry, IMergeCriterion criterion)`
Find the best merger for diff and wrap it in a delegate that will take the given merge criterion into account.